binary

Arbitrary binary data. More...

`#include <binary.hpp>`

Inherits vector< T >.

## Public Member Functions

| operator std::string () const
| Convert to std::string.
binary & | operator= (const std::string &x)
| Assignment.
Constructors
| binary ()
| binary (size_t n)
| binary (size_t n, value_type x)
| binary (const std::string &s)
template<class Iter >
| binary (Iter first, Iter last)

## Public Attributes

T | elements
| STL member.

## Detailed Description

Arbitrary binary data.

The documentation for this class was generated from the following file:

- proton/binary.hpp